﻿//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_TweenScaleWrap
{
    public static void Register(LuaState L)
    {
        L.BeginClass(typeof(TweenScale), typeof(UITweener));
        L.RegFunction("Begin", FUNCTAG_Begin);
        L.RegFunction("SetStartToCurrentValue", FUNCTAG_SetStartToCurrentValue);
        L.RegFunction("SetEndToCurrentValue", FUNCTAG_SetEndToCurrentValue);
        L.RegVar("from", FUNCTAG_get_from, FUNCTAG_set_from);
        L.RegVar("to", FUNCTAG_get_to, FUNCTAG_set_to);
        L.RegVar("updateTable", FUNCTAG_get_updateTable, FUNCTAG_set_updateTable);
        L.RegVar("cachedTransform", FUNCTAG_get_cachedTransform, null);
        L.RegVar("value", FUNCTAG_get_value, FUNCTAG_set_value);
        L.EndClass();
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_Begin(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 3);
            UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckUnityObject(L, 1, typeof(UnityEngine.GameObject));
            float arg1 = (float)LuaDLL.luaL_checknumber(L, 2);
            UnityEngine.Vector3 arg2 = ToLua.ToVector3(L, 3);
            TweenScale o = TweenScale.Begin(arg0, arg1, arg2);
            ToLua.Push(L, o);
            return 1;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_SetStartToCurrentValue(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 1);
            TweenScale obj = (TweenScale)ToLua.CheckObject(L, 1, typeof(TweenScale));
            obj.SetStartToCurrentValue();
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_SetEndToCurrentValue(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 1);
            TweenScale obj = (TweenScale)ToLua.CheckObject(L, 1, typeof(TweenScale));
            obj.SetEndToCurrentValue();
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_get_from(IntPtr L)
    {
        object o = null;

        try
        {
            o = ToLua.ToObject(L, 1);
            TweenScale obj = (TweenScale)o;
            UnityEngine.Vector3 ret = obj.from;
            ToLua.Push(L, ret);
            return 1;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index from on a nil value" : e.Message);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_get_to(IntPtr L)
    {
        object o = null;

        try
        {
            o = ToLua.ToObject(L, 1);
            TweenScale obj = (TweenScale)o;
            UnityEngine.Vector3 ret = obj.to;
            ToLua.Push(L, ret);
            return 1;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index to on a nil value" : e.Message);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_get_updateTable(IntPtr L)
    {
        object o = null;

        try
        {
            o = ToLua.ToObject(L, 1);
            TweenScale obj = (TweenScale)o;
            bool ret = obj.updateTable;
            LuaDLL.lua_pushboolean(L, ret);
            return 1;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index updateTable on a nil value" : e.Message);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_get_cachedTransform(IntPtr L)
    {
        object o = null;

        try
        {
            o = ToLua.ToObject(L, 1);
            TweenScale obj = (TweenScale)o;
            UnityEngine.Transform ret = obj.cachedTransform;
            ToLua.Push(L, ret);
            return 1;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index cachedTransform on a nil value" : e.Message);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_get_value(IntPtr L)
    {
        object o = null;

        try
        {
            o = ToLua.ToObject(L, 1);
            TweenScale obj = (TweenScale)o;
            UnityEngine.Vector3 ret = obj.value;
            ToLua.Push(L, ret);
            return 1;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index value on a nil value" : e.Message);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_set_from(IntPtr L)
    {
        object o = null;

        try
        {
            o = ToLua.ToObject(L, 1);
            TweenScale obj = (TweenScale)o;
            UnityEngine.Vector3 arg0 = ToLua.ToVector3(L, 2);
            obj.from = arg0;
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index from on a nil value" : e.Message);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_set_to(IntPtr L)
    {
        object o = null;

        try
        {
            o = ToLua.ToObject(L, 1);
            TweenScale obj = (TweenScale)o;
            UnityEngine.Vector3 arg0 = ToLua.ToVector3(L, 2);
            obj.to = arg0;
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index to on a nil value" : e.Message);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_set_updateTable(IntPtr L)
    {
        object o = null;

        try
        {
            o = ToLua.ToObject(L, 1);
            TweenScale obj = (TweenScale)o;
            bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
            obj.updateTable = arg0;
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index updateTable on a nil value" : e.Message);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_set_value(IntPtr L)
    {
        object o = null;

        try
        {
            o = ToLua.ToObject(L, 1);
            TweenScale obj = (TweenScale)o;
            UnityEngine.Vector3 arg0 = ToLua.ToVector3(L, 2);
            obj.value = arg0;
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index value on a nil value" : e.Message);
        }
    }
}

